Referencia de APIResources / Record
Create Record
← Back to full API reference
POST
/v1/resource/recordAuth required- Validated by Zod schema: postResourceRecord.
Request details
Body fields
| Field | Required | Description |
|---|---|---|
| resourceId | Yes | Type: number |
| divisionId | Yes | Type: number |
| destinationDivisionId | No | Type: number |
| type | Yes | Type: enumExample: IN |
| quantity | No | Type: number |
| description | No | Type: string |
| beneficiaryId | No | Type: number |
| state | No | Type: enumExample: CONFIRMED |
| productionId | No | Type: number |
| expiryDate | No | Type: stringExample: |
| serialNumbers | No | Type: arrayExample: |
| serialNumbers[] | Yes | Type: string |
Default payloads
Path params
json
{}Query
json
{}Body
json
{
"resourceId": 1,
"divisionId": 1,
"type": "IN"
}Sample response
json
"<result>"